import 'dart:async';

import 'package:action_mixin/action_mixin.dart';

/// Cung cấp EventStream giúp truyền sự kiện từ state notifier tới view
mixin EventMixin {
  final StreamController<EventBase> _controller = StreamController<EventBase>();

  Stream<EventBase> get events => _controller.stream;

  void putEvent(EventBase event) {
    _controller.sink.add(event);
  }

  void eventDispose() {
    _controller.close();
  }
}
